API ReferenceapicommunityGET /v1/media/{media_token}/{file_name}

GET /v1/media/\{media_token\}/\{file_name\}

Service: community · operationId: (none)

Redirect to a short-lived signed download URL for post media.

Required scopes

(no scope declared — review service config)

Path parameters

  • media_token (string) required
  • file_name (string) required

Responses

302 Redirect to signed media URL

400 Invalid token

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

503 Media download unavailable

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/media/{media_token}/{file_name} \
  -H "Authorization: Bearer $ACCESS_TOKEN"